<?php
$links = [
    "blog" => [
        "href" => "blog/",
        "icon" => "rss"
    ],
    "my git guide" => [
        "href" => "learngit/",
        "icon" => "git"
    ],
    "software design pattern book" => [
        "href" => "patterns/",
        "icon" => "book"
    ],
    "win solitaire" => [
        "href" => "soli/",
        "icon" => "gamepad"
    ],
    "webfont mirror" => [
        "href" => "fonts/",
        "icon" => "font"
    ],
    "cgi script collection" => [
        "href" => "cgi-bin/",
        "icon" => "database"
    ],
    "repo mirrors" => [
        "href" => "https://mirror.bhh.sh/",
        "icon" => "download"
    ],
    "traffic stats" => [
        "href" => "trafficstats/",
        "icon" => "signal"
    ],
    "nginx stats" => [
        "href" => "https://tilde.team/stats/",
        "icon" => "dashboard"
    ],
    "glowing-bear" => [
        "href" => "glowing-bear/",
        "icon" => "commenting"
    ],
    "test combinator" => [
        "href" => "testgen/",
        "icon" => "calculator"
    ],
];
?>

<?php foreach ($links as $name => $link): ?>
    -&gt; <a <?=$link["extra_attrs"] ?? ""?> href="<?=$link["href"]?>">
        <i class="<?=faclass($link["icon"])?>"></i> <?=$name?>
    </a>
    <br>
<?php endforeach; ?>

